Package fr.gouv.vitam.functional.administration.common

# Enum Class OntologyErrorCode

java.lang.Object
java.lang.Enum<OntologyErrorCode>
fr.gouv.vitam.functional.administration.common.OntologyErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<OntologyErrorCode>`, `Constable`

public enum OntologyErrorCode extends Enum<OntologyErrorCode>
Ontology Import ErrorCode enumeration

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `STP_IMPORT_ONTOLOGIES_DELETE_IDENTIFIER_USED_BY_DT`
  Onlogy used by document type while trying to delete
  `STP_IMPORT_ONTOLOGIES_DELETE_NOT_AUTHORIZED`
  Delete not authorized
  `STP_IMPORT_ONTOLOGIES_DELETE_USED_ONTOLOGY`
  /** Used ontology could not be deleted
  `STP_IMPORT_ONTOLOGIES_EXCEPTION`
  General import error
  `STP_IMPORT_ONTOLOGIES_ID_NOT_ALLOWED_IN_CREATE`
  Invalid id in create
  `STP_IMPORT_ONTOLOGIES_IDENTIFIER_ALREADY_IN_ONTOLOGY`
  Identifier already used
  `STP_IMPORT_ONTOLOGIES_INCOMPATIBLE_TYPES`
  TypeDetail incompatible with ontology type
  `STP_IMPORT_ONTOLOGIES_INTERNAL_EXTERNAL_CONFLICT_EXCEPTION`
  Conflict merging internal and external at initialization
  `STP_IMPORT_ONTOLOGIES_INVALID_PARAMETER`
  Invalid parameter
  `STP_IMPORT_ONTOLOGIES_MISSING_COLLECTION`
  Missing collection
  `STP_IMPORT_ONTOLOGIES_MISSING_INFORMATION`
  Missing information
  `STP_IMPORT_ONTOLOGIES_NOT_AUTHORIZED_FOR_TENANT`
  Internal origin not allowed for non admin tenants
  `STP_IMPORT_ONTOLOGIES_NOT_JSON_FORMAT`
  File not in json format
  `STP_IMPORT_ONTOLOGIES_STRING_SIZE_FORBIDDEN`
  String size is forbidden for non STRING TypeDetail
  `STP_IMPORT_ONTOLOGIES_UPDATE_INVALID_TYPE`
  Invalid type for update

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OntologyErrorCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OntologyErrorCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STP_IMPORT_ONTOLOGIES_NOT_JSON_FORMAT

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_NOT_JSON_FORMAT
    File not in json format

  - ### STP_IMPORT_ONTOLOGIES_DELETE_IDENTIFIER_USED_BY_DT

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_DELETE_IDENTIFIER_USED_BY_DT
    Onlogy used by document type while trying to delete

  - ### STP_IMPORT_ONTOLOGIES_IDENTIFIER_ALREADY_IN_ONTOLOGY

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_IDENTIFIER_ALREADY_IN_ONTOLOGY
    Identifier already used

  - ### STP_IMPORT_ONTOLOGIES_DELETE_USED_ONTOLOGY

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_DELETE_USED_ONTOLOGY
    /** Used ontology could not be deleted

  - ### STP_IMPORT_ONTOLOGIES_MISSING_INFORMATION

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_MISSING_INFORMATION
    Missing information

  - ### STP_IMPORT_ONTOLOGIES_INVALID_PARAMETER

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_INVALID_PARAMETER
    Invalid parameter

  - ### STP_IMPORT_ONTOLOGIES_UPDATE_INVALID_TYPE

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_UPDATE_INVALID_TYPE
    Invalid type for update

  - ### STP_IMPORT_ONTOLOGIES_ID_NOT_ALLOWED_IN_CREATE

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_ID_NOT_ALLOWED_IN_CREATE
    Invalid id in create

  - ### STP_IMPORT_ONTOLOGIES_NOT_AUTHORIZED_FOR_TENANT

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_NOT_AUTHORIZED_FOR_TENANT
    Internal origin not allowed for non admin tenants

  - ### STP_IMPORT_ONTOLOGIES_INCOMPATIBLE_TYPES

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_INCOMPATIBLE_TYPES
    TypeDetail incompatible with ontology type

  - ### STP_IMPORT_ONTOLOGIES_STRING_SIZE_FORBIDDEN

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_STRING_SIZE_FORBIDDEN
    String size is forbidden for non STRING TypeDetail

  - ### STP_IMPORT_ONTOLOGIES_DELETE_NOT_AUTHORIZED

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_DELETE_NOT_AUTHORIZED
    Delete not authorized

  - ### STP_IMPORT_ONTOLOGIES_EXCEPTION

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_EXCEPTION
    General import error

  - ### STP_IMPORT_ONTOLOGIES_INTERNAL_EXTERNAL_CONFLICT_EXCEPTION

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_INTERNAL_EXTERNAL_CONFLICT_EXCEPTION
    Conflict merging internal and external at initialization

  - ### STP_IMPORT_ONTOLOGIES_MISSING_COLLECTION

    public static final OntologyErrorCode STP_IMPORT_ONTOLOGIES_MISSING_COLLECTION
    Missing collection

- ## Method Details

  - ### values

    public static OntologyErrorCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OntologyErrorCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null